FUD(8)

NAME
FUD - provide information about user mailboxes

SYNOPSIS
fud [ -C config-file ] [ -U uses ] [ -T timeout ] [ -D ]

DESCRIPTION
FUD is a long lived datagram daemon started from master that provides information about when a user last read their mail, when mail last arrived in a user's mailbox, and how many messages are recent for that user.

Note that for FUD to run properly you must set proto=udp in its cyrus.conf services entry. prefork=1 is also recommended. FUD will automatically proxy any and all FUD requests to the appropriate backend server if it is runing on a Cyrus Murder frontend machine.

FUD reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

OPTIONS

-C config-file
    Read configuration options from config-file.

-U uses
    The maximum number of times that the process should be used for new connections before shutting down. The default is 250.

-T timeout
    The number of seconds that the process will wait for a new connection before shutting down. Note that a value of 0 (zero) will disable the timeout. The default is 60.

-D  Run external debugger specified in debug_command.

FILES

/etc/imapd.conf
    Default configuration file.

/etc/cyrus.conf
    Cyrus Master process configuration file.

BUGS
Though not really a bug, FUD will silently ignore any requests that it does not consider valid.

Also not really a bug, FUD requires that the anonymous user has the 0 (zero) right on the mailbox in question. This is only a "bug" because 0 is not a standard IMAP ACL bit.

FUD is an experimental interface meant to provide information to build a finger-like service around. Eventually it should be superceded by LDAP or ACAP (using the mailbox dataset).